import { LinearScaleModel } from './LinearScaleModel';
export declare class ColorScaleModel extends LinearScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        mid: any;
        scheme: string;
        extrapolation: string;
        colors: any;
        min: any;
        max: any;
        min_range: number;
        mid_range: number;
        _model_module: string;
        _view_module: string;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
        _view_count: number;
    };
    set_init_state(): void;
    set_listeners(): void;
    update_domain(): void;
    create_domain(min: any, mid: any, max: any, n_colors: any): any[];
    colors_changed(): void;
    protected toDomainType(value: number): any;
    color_range: Array<number>;
    mid: number;
    reverse: boolean;
}
